DEBSIGN(1)

NOM
debsign - Signer une paire de fichiers .changes et .dsc Debian avec GPG

SYNOPSIS
debsign [options] [fichier-changes|fichier-dsc|fichier-commands ...]

DESCRIPTION
debsign imite les aspects (et les bogues) concernant la signature de dpkg-buildpackage(1). Il prend un fichier .dsc, .buildinfo ou .changes et le signe ainsi que les fichiers .dsc, .buildinfo, ou .changes enfants qu'il mentionne directement ou indirectement, en utilisant GNU Privacy Guard. Il fait attention à calculer la taille et la somme de contrôle de tous les nouveaux fichiers enfants signés et remplace les valeurs originales dans le fichier parent.

Si aucun fichier n'est spécifié, debian/changelog est analysé pour déterminer le nom du fichier .changes à rechercher dans le répertoire parent.

Si un fichier .commands est indiqué, il est validé en premier (voir les détails ftp://ftp.upload.debian.org/pub/UploadQueue/README) ; le nom indiqué dans le champ Uploader est utilisé pour la signature.

Cet utilitaire permet à un développeur de construire un paquet sur une machine où il serait dangereux (du point de vue de la sécurité) de réaliser une signature. Il suffit de transférer les petits fichiers .dsc, .buildinfo et .changes sur une machine sûre et d'utiliser le programme debsign pour les signer avant de les renvoyer. Ce processus peut être automatisé de deux façons. Si les fichiers à signer se trouvent sur la machine distante, l'option -r peut être utilisée pour les copier sur la machine locale où ils seront signés puis de les recopier sur la machine distante. Si les fichiers se trouvent sur la machine locale, ils peuvent être transférés sur la machine distante pour être signés en utilisant debrsign(1). Notez néanmoins qu'il est probablement plus sûr que votre machine de signature sûre utilise debsign pour se connecter à la machine non sûre, plutôt que d'utiliser debrsign pour se connecter en direction inverse.

Ce programme peut utiliser des paramètres par défaut des fichiers de configuration de devscripts, comme décrit ci-dessous.

OPTIONS

-r [nom_utilisateur@]hôte_distant
    Les fichiers à signer se trouvent sur l'hôte distant indiqué. Dans ce cas, un fichier .dsc, .buildinfo ou .changes doit être explicitement nommé, avec un nom de répertoire absolu ou relatif au répertoire personnel distant. scp sera utilisé pour le transfert. La syntaxe [nom_utilisateur@]hôte_ distant:nom_de_fichier est également permise. Les jokers (*, etc.) sont autorisés.

-pprogramme
    Lorsque debsign doit exécuter GPG pour signer, il exécutera programme (en le cherchant dans PATH si nécessaire), au lieu de gpg.

-mresponsable
    Indiquer le nom du responsable à utiliser pour la signature. Consultez dpkg-buildpackage(1) pour plus d'informations concernant les différences entre -m, -e et -k lors de la construction des paquets ; debsign ne fait pas ces distinctions, mais respecte l'ordre de priorité des différentes options. Ces différentes options sont fournies de sorte que ce programme se comporte comme prévu lorsqu'il est appelé par debuild(1).

-eresponsable
    Identique à -m, mais avec une priorité plus élevée.

-kidentifiant_clef
    Indiquer l'identifiant de la clef à utiliser pour la signature. Cette option prévaut sur toute utilisation des options -m et -e.

-S  Chercher un fichier .changes uniquement pour le source plutôt qu'un fichier .changes correspondant à un paquet binaire.

-aarchitecture-debian, -ttype-de-système-GNU
    Veuillez consulter dpkg-architecture(1) pour une description de ces options. Ces options affectent la recherche du fichier .changes. Elles consistent à imiter le comportement de dpkg-buildpackage lors de la détermination du nom du fichier .changes.

--multi
    Mode des fichiers .changes multiarchitecture : cela signifie que debsign doit utiliser le fichier le plus récent respectant le modèle paquet_version_*+*.changes, autorisant ainsi les fichiers .changes produits par dpkg-cross.

--re-sign, --no-re-sign
    Respectivement recréer la signature ou utiliser celle existante si le fichier a déjà été signé. Si aucune option n'est fournie alors qu'un fichier signé est trouvé, il est demandé si la signature actuelle doit être utilisée.

--debs-dir RÉP
    Chercher les fichiers à signer dans le répertoire RÉP au lieu du répertoire parent du répertoire source. Cela doit être soit un chemin absolu, soit un chemin relatif à la racine du répertoire source.

--no-conf, --noconf
    Ne lire aucun fichier de configuration. L'option ne peut être utilisée qu'en première position de la ligne de commande.

--help, -h
    Afficher un message d'aide et quitter avec succès.

--version
    Afficher la version et le copyright, puis quitter avec succès.

VARIABLES DE CONFIGURATION
Les deux fichiers de configuration /etc/devscripts.conf et ~/.devscripts sont évalués dans cet ordre pour régler les variables de configuration. Des options de ligne de commande peuvent être utilisées pour écraser les paramètres des fichiers de configuration. Les variables d'environnement sont ignorées à cette fin. Les variables actuellement identifiées sont :

DEBSIGN_PROGRAM
    Lui attribuer une valeur équivaut à fournir une option -p.

DEBSIGN_MAINT
    Équivaut à utiliser l'option -m.

DEBSIGN_KEYID
    Équivaut à utiliser l'option -k.

DEBSIGN_ALWAYS_RESIGN
    Toujours signer de nouveau les fichiers, même s'ils ont déjà été signés, sans demander.

DEBRELEASE_DEBS_DIR
    Indiquer le répertoire dans lequel chercher les fichiers à signer, et est soit un chemin absolu ou un chemin relatif à la racine du répertoire racine. Cela correspond à l'option en ligne de commande --debs-dir. Cette directive peut être utilisée par exemple si vous utilisez systématiquement pbuilder ou svn-buildpackage pour construire vos paquets. Remarquez que cela concerne également debrelease(1), ce qui explique le nom étrange de l'option.

VOIR AUSSI
debrsign(1), debuild(1), dpkg-architecture(1), dpkg-buildpackage(1), gpg(1), gpg2(1), md5sum(1), sha1sum(1),sha256sum(1), scp(1), devscripts.conf(5)

AUTEUR
Ce programme a été écrit par Julian Gilbey <jdg@debian.org> et est distribué sous licence GPL, version 2 ou ultérieure.

TRADUCTION
Ce document est une traduction, maintenue à l'aide de l'outil po4a <https://po4a.alioth.debian.org/> par l'équipe de traduction francophone du projet Debian.

Nicolas François, Guillaume Delacour, Cyril Brulebois, Thomas Huriaux et David Prévot ont réalisé cette traduction.

L'équipe de traduction a fait le maximum pour réaliser une adaptation française de qualité. Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet devscripts.

La version anglaise la plus à jour de ce document est toujours consultable en ajoutant l'option « -L C » à la commande man.